pcl::cuda::NormalEstimationKernel< Storage > Struct Template Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/features/include/pcl/cuda/features/normal_3d_kernels.h>`

## Public Types

using | CloudConstPtr = typename PointCloudAOS< Storage >::ConstPtr

## Public Member Functions

| NormalEstimationKernel (const typename PointCloudAOS< Storage >::ConstPtr &input, float focallength, float sqr_radius, float sqrt_desired_nr_neighbors)
__host__ __device__ float4 | operator() (float3 query_pt)

## Public Attributes

const PointXYZRGB * | points_
float | focallength_
OrganizedRadiusSearch< CloudConstPtr > | search_
float | sqr_radius_
float | sqrt_desired_nr_neighbors_

## Detailed Description

### template<template< typename > class Storage>
struct pcl::cuda::NormalEstimationKernel< Storage >

Definition at line 50 of file normal_3d_kernels.h.

## Member Typedef Documentation

## CloudConstPtr

template<template< typename > class Storage>

using pcl::cuda::NormalEstimationKernel< Storage >::CloudConstPtr = typename PointCloudAOS<Storage>::ConstPtr

Definition at line 52 of file normal_3d_kernels.h.

## Constructor & Destructor Documentation

## NormalEstimationKernel()

template<template< typename > class Storage>

pcl::cuda::NormalEstimationKernel< Storage >::NormalEstimationKernel | ( | const typename PointCloudAOS< Storage >::ConstPtr & | input,
|  | float | focallength,
|  | float | sqr_radius,
|  | float | sqrt_desired_nr_neighbors
| ) |  |

inline

Definition at line 53 of file normal_3d_kernels.h.

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__host__ __device__ float4 pcl::cuda::NormalEstimationKernel< Storage >::operator() | ( | float3 | query_pt | ) |

inline

Definition at line 62 of file normal_3d_kernels.h.

References pcl::cuda::OrganizedRadiusSearch< CloudPtr >::computeCovarianceOnline(), pcl::cuda::CovarianceMatrix::data, pcl::cuda::eigen33(), pcl::cuda::NormalEstimationKernel< Storage >::search_, and pcl::cuda::NormalEstimationKernel< Storage >::sqrt_desired_nr_neighbors_.

## Member Data Documentation

## focallength_

template<template< typename > class Storage>

float pcl::cuda::NormalEstimationKernel< Storage >::focallength_

Definition at line 91 of file normal_3d_kernels.h.

## points_

template<template< typename > class Storage>

const PointXYZRGB* pcl::cuda::NormalEstimationKernel< Storage >::points_

Definition at line 90 of file normal_3d_kernels.h.

## search_

template<template< typename > class Storage>

OrganizedRadiusSearch<CloudConstPtr> pcl::cuda::NormalEstimationKernel< Storage >::search_

Definition at line 92 of file normal_3d_kernels.h.

Referenced by pcl::cuda::NormalEstimationKernel< Storage >::operator()().

## sqr_radius_

template<template< typename > class Storage>

float pcl::cuda::NormalEstimationKernel< Storage >::sqr_radius_

Definition at line 93 of file normal_3d_kernels.h.

## sqrt_desired_nr_neighbors_

template<template< typename > class Storage>

float pcl::cuda::NormalEstimationKernel< Storage >::sqrt_desired_nr_neighbors_

Definition at line 94 of file normal_3d_kernels.h.

Referenced by pcl::cuda::NormalEstimationKernel< Storage >::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/features/include/pcl/cuda/features/normal_3d_kernels.h